Package org.flowable.engine.delegate.event.impl

# Class FlowableEntityWithVariablesEventImpl

java.lang.Object
org.flowable.common.engine.impl.event.FlowableEventImpl
org.flowable.common.engine.impl.event.FlowableEngineEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl
org.flowable.engine.delegate.event.impl.FlowableEntityEventImpl
org.flowable.engine.delegate.event.impl.FlowableEntityWithVariablesEventImpl

All Implemented Interfaces:
  `FlowableEngineEntityEvent`, `FlowableEngineEvent`, `FlowableEntityEvent`, `FlowableEvent`, `FlowableEntityWithVariablesEvent`, `FlowableProcessEngineEvent`

Direct Known Subclasses:
  `FlowableProcessStartedEventImpl`

public class FlowableEntityWithVariablesEventImpl extends FlowableEntityEventImpl implements FlowableEntityWithVariablesEvent
Base class for all `FlowableEngineEntityEvent` implementations, related to entities with variables.

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `localScope`
  `protected Map`
  `variables`

  ### Fields inherited from class org.flowable.engine.delegate.event.impl.FlowableEntityEventImpl

  `entity`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `scopeDefinitionId, scopeId, scopeType, subScopeId`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableEntityWithVariablesEventImpl(Object entity, Map variables, boolean localScope, FlowableEngineEventType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map`
  `getVariables()`
  `boolean`
  `isLocalScope()`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableEntityEventImpl

  `getEntity`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl

  `getExecution`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setScopeDefinitionId, setScopeId, setScopeType, setSubScopeId, setType`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEntityEvent

  `getEntity`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Field Details

  - ### variables

    protected Map variables

  - ### localScope

    protected boolean localScope

- ## Constructor Details

  - ### FlowableEntityWithVariablesEventImpl

    public FlowableEntityWithVariablesEventImpl(Object entity, Map variables, boolean localScope, FlowableEngineEventType type)

- ## Method Details

  - ### getVariables

    public Map getVariables()
    Specified by:
      `getVariables` in interface `FlowableEntityWithVariablesEvent`
    Returns:
      the variables created together with the entity.

  - ### isLocalScope

    public boolean isLocalScope()
    Specified by:
      `isLocalScope` in interface `FlowableEntityWithVariablesEvent`